Package helma.scripting.rhino.extensions

# Class DatabaseObject.RowSet

java.lang.Object
helma.scripting.rhino.extensions.DatabaseObject.RowSet

Enclosing class:
  DatabaseObject

public static class DatabaseObject.RowSet extends Object
A RowSet object

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
`int`
`getColumnCount()`
`String`
`getColumnDatatypeName(int idx)`
`int`
`getColumnDatatypeNumber(int idx)`
`Object`
`getColumnItem(String propertyName)`
`String`
`getColumnName(int idx)`
`Object`
`getLastError()`
`Object`
`getMetaData()`
`Enumeration`
`getProperties()`
`Object`
`getProperty(int index)`
`String[]`
`getSpecialPropertyNames()`
`boolean`
`hasMoreRows()`
`boolean`
`next()`
`void`
`release()`
`String`
`toDetailString()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getClassName

public String getClassName()

### toDetailString

public String toDetailString()

### getColumnCount

public int getColumnCount()

### getMetaData

public Object getMetaData()

### getLastError

public Object getLastError()

### release

public void release()

### hasMoreRows

public boolean hasMoreRows()

### getColumnName

public String getColumnName(int idx)

### getColumnDatatypeNumber

public int getColumnDatatypeNumber(int idx)

### getColumnDatatypeName

public String getColumnDatatypeName(int idx)

### getColumnItem

public Object getColumnItem(String propertyName)

### getProperty

public Object getProperty(int index)

### getProperties

public Enumeration getProperties()

### getSpecialPropertyNames

public String[] getSpecialPropertyNames()

### next

public boolean next()

### toString

public String toString()

Overrides:
  `toString` in class `Object`